Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.oracle
Class Oracle8Adapter

    java.lang.Object
      org.apache.cayenne.dba.JdbcAdapter
          org.apache.cayenne.dba.oracle.OracleAdapter
              org.apache.cayenne.dba.oracle.Oracle8Adapter

All Implemented Interfaces:
  DbAdapter

    public class Oracle8Adapter

extends OracleAdapter

A flavor of OracleAdapter that implements workarounds for some old driver limitations.

Since:
  1.2

Field Summary

Fields inherited from class org.apache.cayenne.dba.oracle.OracleAdapter
`initDone, NEW_BLOB_FUNCTION, NEW_CLOB_FUNCTION, ORACLE_BLOB, ORACLE_CLOB, ORACLE_FLOAT, oracleCursorType, supportsOracleLOB, TRIM_FUNCTION`

Fields inherited from class org.apache.cayenne.dba.JdbcAdapter
`batchQueryBuilderFactory, caseInsensitiveCollations, CI_PROPERTY, ejbqlTranslatorFactory, extendedTypes, identifiersEndQuote, identifiersStartQuote, logger, resourceLocator, supportsBatchUpdates, supportsGeneratedKeys, supportsUniqueConstraints, typesHandler`

Constructor Summary
`Oracle8Adapter(RuntimeProperties runtimeProperties, List<ExtendedType> defaultExtendedTypes, List<ExtendedType> userExtendedTypes, List<ExtendedTypeFactory> extendedTypeFactories)`

Method Summary
`protected URL` | `findResource(String name)` Locates and returns a named adapter resource.
`SQLAction` | `getAction(Query query, DataNode node)` Uses OracleActionBuilder to create the right action.
`QualifierTranslator` | `getQualifierTranslator(QueryAssembler queryAssembler)` Returns a trimming translator.

Methods inherited from class org.apache.cayenne.dba.oracle.OracleAdapter
`bindParameter, buildAttribute, configureExtendedTypes, createEJBQLTranslatorFactory, createPkGenerator, dropTableStatements, getOracleCursorType, initDriverInformation, isSupportsOracleLOB, mergerFactory`

Methods inherited from class org.apache.cayenne.dba.JdbcAdapter
`createFkConstraint, createTable, createTableAppendColumn, createTableAppendPKClause, createUniqueConstraint, externalTypesForJdbcType, getBatchQueryBuilderFactory, getBatchTerminator, getEjbqlTranslatorFactory, getExtendedTypes, getIdentifiersEndQuote, getIdentifiersStartQuote, getJdbcEventLogger, getPkGenerator, getQuotingStrategy, initExtendedTypes, initIdentifiersQuotes, setBatchQueryBuilderFactory, setEjbqlTranslatorFactory, setPkGenerator, setSupportsBatchUpdates, setSupportsGeneratedKeys, setSupportsUniqueConstraints, supportsBatchUpdates, supportsGeneratedKeys, supportsUniqueConstraints, tableTypeForTable, tableTypeForView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Oracle8Adapter

    public Oracle8Adapter(RuntimeProperties runtimeProperties,
                          List<ExtendedType> defaultExtendedTypes,
                          List<ExtendedType> userExtendedTypes,
                          List<ExtendedTypeFactory> extendedTypeFactories)

Method Detail

### getAction

    public SQLAction getAction(Query query,
                               DataNode node)

  Uses OracleActionBuilder to create the right action.

  Specified by:
    `getAction` in interface `DbAdapter`
  Overrides:
    `getAction` in class `OracleAdapter`

### findResource

    protected URL findResource(String name)

  Description copied from class: `JdbcAdapter`
  Locates and returns a named adapter resource. A resource can be an XML file, etc.

  This implementation is based on the premise that each adapter is located in its own Java package and all resources are in the same package as well. Resource lookup is recursive, so that if DbAdapter is a subclass of another adapter, parent adapter package is searched as a failover.

  Overrides:
    `findResource` in class `JdbcAdapter`

### getQualifierTranslator

    public QualifierTranslator getQualifierTranslator(QueryAssembler queryAssembler)

  Description copied from class: `OracleAdapter`
  Returns a trimming translator.

  Specified by:
    `getQualifierTranslator` in interface `DbAdapter`
  Overrides:
    `getQualifierTranslator` in class `OracleAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 Apache Cayenne. All Rights Reserved.